Subject: Re: bug#73862: [PATCH] Add `header-line-active` and `header-line-inactive` faces.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 Dec 2024 11:54:00 +0200

> From: Aaron Jensen <[email-masked]>
> Date: Fri, 6 Dec 2024 11:28:53 -0500
> Cc: Stefan Monnier <[email-masked]>, [email-masked], [email-masked], 
> 	[email-masked]
> 
> Would it be possible, aside from the remapping of the particular face being
> built (like header-line-active) to disable remapping when building the
> basic faces? It occurred to me that one way to see the problem is that
> there is inconsistency in how the remapping are applied (because they are
> per-buffer). If it were consistent that the remap was not applied to any
> face that the basic face inherited from, then the problem wouldn't appear
> to be as bad as it is. It would come across as a limitation, rather than
> something that seems like a defect.

If we are going to change the C code related to basic faces, I'd
prefer the semi-kludgey change I sent a few minutes ago.  It at least
brings the effect closer to naïve user expectations.